summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2007-07-22 20:56:45 +0000
committerZac Medico <zmedico@gentoo.org>2007-07-22 20:56:45 +0000
commit3479685e9960f23c2c1571da9501cd5625ea4907 (patch)
tree057425e94fca70d2f305afdab0b2d7059ac19500
parent35528f1b5fbca6dc42092f2bd0d79ae0680ab4ab (diff)
downloadportage-3479685e9960f23c2c1571da9501cd5625ea4907.tar.gz
portage-3479685e9960f23c2c1571da9501cd5625ea4907.tar.bz2
portage-3479685e9960f23c2c1571da9501cd5625ea4907.zip
For bug #184774, put lha's -q option last since otherwise the option parser now requires level 0, 1, or 2 to be specified. (trunk r7358)
svn path=/main/branches/2.1.2/; revision=7359
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index d829bc0ed..c9bacd4a5 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -458,7 +458,7 @@ unpack() {
unrar x -idq -o+ "${srcdir}/${x}" || die "$myfail"
;;
LHa|LHA|lha|lzh)
- lha xqf "${srcdir}/${x}" || die "$myfail"
+ lha xfq "${srcdir}/${x}" || die "$myfail"
;;
a|deb)
ar x "${srcdir}/${x}" || die "$myfail"